PHP-GDをDebianのインストールに失敗する方法 -- php フィールド と php-gd フィールド 関連 問題

how to fix php-gd failing to install debian












3
vote

問題

日本語

私はこの質問がすでに尋ねられていることを知っていますが、それは私のために働いていた答えを持っていませんでした、そして私は十分な評判がないのでコメントすることはできません。

私のサーバーにPHP-GD拡張機能をインストールできません。

Debian 8

にPHP 7.1を持っています

これは私がインストールしようとしたコマンド

<コード> sudo apt-get install php7.1-gd

そしてここでは出力

です <事前> <コード> Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required: libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2 libelf1 libfontenc1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libice6 libpciaccess0 libsm6 libtxc-dxtn-s2tc0 libutempter0 libx11-xcb1 libxaw7 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-shape0 libxcb-sync1 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxfont1 libxft2 libxi6 libxinerama1 libxkbfile1 libxmu6 libxrandr2 libxrender1 libxshmfence1 libxt6 libxtst6 libxv1 libxxf86dga1 libxxf86vm1 vnc4server x11-apps x11-common x11-session-utils x11-utils x11-xkb-utils x11-xserver-utils xbase-clients xbitmaps xfonts-base xfonts-encodings xfonts-utils xinit xterm Use 'apt-get autoremove' to remove them. The following NEW packages will be installed: php7.1-gd 0 upgraded, 1 newly installed, 0 to remove and 164 not upgraded. Need to get 27.7 kB of archives. After this operation, 138 kB of additional disk space will be used. Get:1 https://packages.sury.org/php/ jessie/main php7.1-gd amd64 7.1.15-1+0~20180306120119.15+jessie~1.gbp78327e [27.7 kB] Err https://packages.sury.org/php/ jessie/main php7.1-gd amd64 7.1.15-1+0~20180306120119.15+jessie~1.gbp78327e HttpError404 E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.1/php7.1-gd_7.1.15-1+0~20180306120119.15+jessie~1.gbp78327e_amd64.deb HttpError404

それを修正する方法は?

英語

i know this question has already been asked, but it didn't have an answer that worked for me and i cannot comment as i do not have enough reputation.

I'm not able to install php-gd extension on my server.

i have php 7.1 on debian 8

here is the command i ran to try install it

sudo apt-get install php7.1-gd

and here is the output

Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required:   libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2 libelf1 libfontenc1 libgl1-mesa-dri libgl1-mesa-glx   libglapi-mesa libice6 libpciaccess0 libsm6 libtxc-dxtn-s2tc0 libutempter0 libx11-xcb1 libxaw7 libxcb-dri2-0   libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-shape0 libxcb-sync1 libxcomposite1 libxcursor1 libxdamage1   libxfixes3 libxfont1 libxft2 libxi6 libxinerama1 libxkbfile1 libxmu6 libxrandr2 libxrender1 libxshmfence1 libxt6   libxtst6 libxv1 libxxf86dga1 libxxf86vm1 vnc4server x11-apps x11-common x11-session-utils x11-utils x11-xkb-utils   x11-xserver-utils xbase-clients xbitmaps xfonts-base xfonts-encodings xfonts-utils xinit xterm Use 'apt-get autoremove' to remove them. The following NEW packages will be installed:   php7.1-gd 0 upgraded, 1 newly installed, 0 to remove and 164 not upgraded. Need to get 27.7 kB of archives. After this operation, 138 kB of additional disk space will be used. Get:1 https://packages.sury.org/php/ jessie/main php7.1-gd amd64 7.1.15-1+0~20180306120119.15+jessie~1.gbp78327e [27.7 kB] Err https://packages.sury.org/php/ jessie/main php7.1-gd amd64 7.1.15-1+0~20180306120119.15+jessie~1.gbp78327e   HttpError404 E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.1/php7.1-gd_7.1.15-1+0~20180306120119.15+jessie~1.gbp78327e_amd64.deb  HttpError404 

any ideas how to fix it please?

</div
     
         
         

回答リスト


関連する質問

3  内部GD Font()利用できない使用のみ1-5  ( Internal gd font not available use only 1 5 ) 
動的データを持つ画像を生成するためのLaravelフレームワークと画像/介入ライブラリを使用しています。コードは私のローカルマシンで完全にうまく機能していますが、AWS Ubuntuインスタンスでアップロードするとすぐに、内部GD Font()が利用できないよ...

1  PHP画像のサイズ変更(ギャラリー)  ( Php image resize gallery ) 
私は最近PHPを使って初めてウェブサイトを構築しました。私は、設定された場所に保持されている画像を自動的に引き出すさまざまなチュートリアルを使用してギャラリースクリプトを作成し、終了しない場合はサムネイルを作成します。 今すぐ私のアップロードは画像を引っ張っ...

0  未知の幅と高さで画像を作成する方法  ( How to create image with unknown width and height ) 
文字列から画像を作成し、私が生成しているPDFの背景としてこのイメージを使用することをクリアしたい。 これはほとんど問題ではありません。生成されたイメージがフルサイズのイメージになるように、私は2つの選択肢があることを知っています: 最初:画像が固定サイズで...

3  PHPにおけるImageCreateFromStringの逆効果を達成する方法  ( How to achieve the reverse effect of imagecreatefromstring in php ) 
PHPの画像リソースからBase64文字列を取得する方法ただし、イメージをその場で作ったので、URLは存在しません。 これは私が試したものですが、うまくいかない: <事前> <コード> echo 'data:image/png;base64,'.base64...

1  FreeBSD 8.3にPHP5-GDをインストールするとき(共有ライブラリ "png.6"は存在しません)  ( Error when install php5 gd on freebsd 8 3shared library png 6 does not exist ) 
PHPを5.3に更新しました。しかし、私はGD拡張機能をインストールすることはできません(FreeBSD 8.3) エラーライン: <事前> <コード> # cd /usr/ports/graphics/php5-gd/ # make install cle...

0  動的に作成された画像をキャッシュする方法  ( How to cache dynamically created images ) 
私は* .pngの写真を生成するphpスクリプトを持っていますが、ではなくそれらをサーバーに保存します。これらの写真は同じユーザーに繰り返し表示されます。私は cache これらの写真を探しています。 304のステータスヘッダーを送信することができます。ブラウ...

0  PHPの機能とグラフを含める  ( Include function and graphs in php ) 
私のPHPアプリケーションでlibChartsを使用しています....グラフは機能していますが、インクルード関数を使用してアプリケーションに含めるとうまくいきません それは私にエラーを与えます 警告:(チャート/チャート - example-line.php...

0  メッセージ:imagecreatefrompng():コード1でSSL操作が失敗しました  ( Message imagecreatefrompng ssl operation failed with code 1 ) 
以下のエラーを得ています: メッセージ:imagecreatefrompng():コード1 でSSL操作に失敗しました メッセージ:imagecreatefrompng():crypto を有効にできませんでした PHP GDを使用してこのコードを...

2  PHPを介してデータベースに接続した後にMySQLデータベースに格納されている画像を表示できません  ( Cannot display image stored in mysql database after connecting to database throu ) 
私は完全な初心者であり、PHPとMySQLデータベースの画像の操作を始めました。これが問題です: Blobフィールドのデータベーステーブルに正常に保存されています。私はそれをファイル(new.jpg)に書き込み、画像を表示することができます。ここにTwsit...

0  PHPにおけるバーコード生成と復号化  ( Barcode generation and decoding in php ) 
バーコードを生成することになるPHPアプリケーションを開発する必要があり、それらのバーコードを読み返すことができます。 私のアプリケーションはWebベースのアプリケーションであり、基盤となるテクノロジーはサーバーサイドスクリプト言語であるPHPです。バーコード...




© 2022 cndgn.com All Rights Reserved. Q&Aハウス 全著作権所有